﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.01
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private UserOpts As Map
	Private KVS As KeyValueStore2
End Sub

Public Sub LoadUserOptions
	KVS.Initialize(File.DirData(Main.AppTitle),"UserOpts")
	UserOpts = KVS.GetDefault("UserOptions",CreateMap())
End Sub

Public Sub SaveUserOptions
	KVS.Put("UserOptions",UserOpts)
End Sub


Public Sub PutUserOption(Key As String, OptData As Object)
	UserOpts.Put(Key,OptData)
End Sub
Public Sub GetUserOption(Key As String) As Object
	Return UserOpts.Get(Key)
End Sub

Public Sub GetUserOptionDefault(Key As String, Default As Object) As Object
	Return UserOpts.GetDefault(Key,Default)
End Sub

Public Sub SetVarTypes(L As List)
	KVS.Put("VarTypes",L)
End Sub

Public Sub GetVarTypes As List
	Dim L As List = KVS.GetDefault("VarTypes",CGS_Utils.GetTypes)
	L.Sort(True)
	Log("VarTypes Size " & L.Size)
	Return L
End Sub

Public Sub SetStartForm(Index As Int)
	KVS.Put("StartForm",Index)
End Sub

Public Sub GetStartForm As Int
	Return KVS.GetDefault("StartForm",0)
End Sub

Public Sub SaveFormMetrics(F As Form)
	If F.Title = "Form" Then
		Log(Main.AppTitle & " Cannot set for metrics for a form with an unmodified title")
		Return
	End If
	KVS.Put("FormPos" & F.Title & "Left",F.WindowLeft)
	KVS.Put("FormPos" & F.Title & "Top",F.WindowTop)
	KVS.Put("FormPos" & F.Title & "Width",F.WindowWidth)
	KVS.Put("FormPos" & F.Title & "Height",F.WindowHeight)
End Sub

Public Sub SetFormMetrics(F As Form)
	If KVS.ContainsKey("FormPos" & F.Title & "Left") Then
		F.WindowLeft = KVS.Get("FormPos" & F.Title & "Left")
		F.WindowTop = KVS.Get("FormPos" & F.Title & "Top")
		F.WindowWidth = KVS.Get("FormPos" & F.Title & "Width")
		F.WindowHeight = KVS.Get("FormPos" & F.Title & "Height")
	End If
End Sub